IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_223_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_223_check]
GO

-- 生成时间:2018-05-28 18:54:29 by ebs-core  
CREATE  procedure order_223_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_223 where ord_id=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 declare @log varchar(1000)
select  @log=ord_photos  from  #master n    

/*if  not exists(
select ord_updated from order_223 where ord_updated  between  (Select CONVERT(varchar(100), GETDATE(), 23) + ' 6:00:00.000')  and
(Select CONVERT(varchar(100), GETDATE(), 23) + ' 12:00:00.000'))
begin
    set @operation = 'abort'
    set @errorinfo = '必须在6：00到12：00之间！'
end*/

if (isnull(@log,'')='')
begin
set @operation='abort'
set @errorinfo = '请上传照片'
end

 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end